#include<bits/stdc++.h>
using namespace std;
int o,a,b,ab,n,t[100000];
string pacijenti[100000];
int main()
{
  cin >> n;
  cin >> o >> a >> b >> ab;
  for(int i=0; i<n; i++)
  {
    cin >> pacijenti[i] >> t[i];
  }
  cout << "nemoguce";
}